This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 782519 - Propose that you turn on PrivateTmp=true in service file for ntop
Propose that you turn on PrivateTmp=true in service file for ntop
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ntop (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PrivateTmp
  Show dependency treegraph
 
Reported: 2012-01-17 10:53 EST by Daniel Walsh
Modified: 2012-08-10 18:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-10 18:30:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2012-01-17 10:53:14 EST
I would like to propose using PrivateTmp for ntop systemd unit file
This should make the use of /tmp directory more secure
and avoid users from being able to potentially effect it.

http://fedoraproject.org/wiki/Features/ServicesPrivateTmp
Comment 1 Sven Lankes 2012-01-22 14:38:20 EST
I haven't debugged this further yet but enabling PrivateTmp doesn't work out of the box:

Jan 22 20:35:09 f17 ntop[896]:   **WARNING** gzwrite error (null)(0)
Comment 2 Daniel Walsh 2012-01-23 15:24:01 EST
Are you testing on a Rawhide or F16.  This will ONLY work on Rawhide with the systemd-38 or greater.
Comment 3 Sven Lankes 2012-01-23 15:46:25 EST
(In reply to comment #2)

> Are you testing on a Rawhide or F16.

Rawhide with systemd-38-4.fc17.x86_64
Comment 4 Daniel Walsh 2012-01-24 11:03:31 EST
Ok, any idea what ntop is trying to do?
Comment 5 Daniel Walsh 2012-02-06 15:46:12 EST
Any change on this bug.  We are coming up to Feature Freeze, and would like some comment on this bug.

If you do not believe this application uses /tmp than please comment on this and close the bug.  

If you believe this application needs to use /tmp to communicate with other applications or users then you can close this bug with that comment.

If your app does not use systemd, then close this bug with that comment.

If you have no idea, then please add a comment, and change the bug to assigned.

I need to update the status on this feature.


Thanks for your help.
Comment 6 Sven Lankes 2012-08-02 00:19:21 EDT
The latest (5.0) ntop release does work fine with PrivateTmp.

I've built it for rawhide and will probably also do an f17 build
after some more testing.
Comment 7 Fedora Update System 2012-08-02 01:12:07 EDT
ntop-5.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ntop-5.0-2.fc17
Comment 8 Fedora Update System 2012-08-02 07:18:36 EDT
Package ntop-5.0-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ntop-5.0-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11406/ntop-5.0-2.fc17
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-08-10 18:30:26 EDT
ntop-5.0-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.